database_api.list_vesting_delegation_expirations
since HF17
Purpose
Gibt eine Liste von Abläufen von Vesting-Delegierungen (vesting delegation expirations) zurück. Parameter: start:array, limit:int, order:string
limit- bis zu 1000.orderkann einer der folgenden sein:by_expiration- Ordnung nach Ablaufstartist ein Array aus zwei Werten:timestamp,expiration_id
by_account_expiration- Ordnung nach Konto und Ablaufstartist ein Array aus zwei Werten:account,timestamp,expiration_id
start (array) | limit (int) | order (string) | |
|---|---|---|---|
["1970-01-01T00:00:00", 0] | 10 | by_expiration | Abfrage der Delegierungen, auf 10 Ergebnisse begrenzt, geordnet nach Ablauf. |
["alice", "1970-01-01T00:00:00", 0] | 10 | by_account_expiration | Abfrage der Delegierung ab diesem Datum, auf 10 Ergebnisse begrenzt, geordnet nach Konto und Ablauf. |
Siehe auch: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegation_expirations",
"params": {
"start": [
"1970-01-01T00:00:00",
0
],
"limit": 10,
"order": "by_expiration"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegation_expirations",
"params": {
"start": [
"alice",
"1970-01-01T00:00:00",
0
],
"limit": 10,
"order": "by_account_expiration"
},
"id": 1
}'Response
RESPONSE
json
{
"delegations": [
{
"id": 3076685,
"delegator": "anonsteem",
"vesting_shares": {
"amount": "6050629930",
"precision": 6,
"nai": "@@000000037"
},
"expiration": "2018-12-05T07:07:15"
}
]
}